Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.fill.calculation
Class HeaderCell

    java.lang.Object
      net.sf.jasperreports.crosstabs.fill.calculation.HeaderCell

    public class HeaderCell

extends java.lang.Object

Crosstab header cell produced by the crosstab bucketing engine.

Version:
  $Id: HeaderCell.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`HeaderCell(BucketDefinition.Bucket[] bucketValues, int levelSpan, int depthSpan)` Creates a crosstab header cell.

Method Summary
`static HeaderCell` | `createLevelSpanCopy(HeaderCell cell, int newLevelSpan)`
`BucketDefinition.Bucket[]` | `getBucketValues()` Returns the bucket values for this cell.
`int` | `getDepthSpan()` Returns the span across cells on subsequent levels (buckets).
`int` | `getLevelSpan()` Returns the span across cells on the same level (bucket).
`boolean` | `isTotal()` Returns whether this header is a total header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderCell

    public HeaderCell(BucketDefinition.Bucket[] bucketValues,
                      int levelSpan,
                      int depthSpan)

  Creates a crosstab header cell.

  Parameters:
    `bucketValues` - the bucket values for the cell
    `levelSpan` - the span across cells on the same level (bucket)
    `depthSpan` - the span across cells on subsequent levels (buckets)

Method Detail

### getBucketValues

    public BucketDefinition.Bucket[] getBucketValues()

  Returns the bucket values for this cell.

  Returns:
    the bucket values for this cell

### getLevelSpan

    public int getLevelSpan()

  Returns the span across cells on the same level (bucket).

  This is used for headers of buckets having sub-buckets.

  Returns:
    the span across cells on the same level (bucket)

### getDepthSpan

    public int getDepthSpan()

  Returns the span across cells on subsequent levels (buckets).

  This is used for total headers.

  Returns:
    the span across cells on subsequent levels (buckets)

### isTotal

    public boolean isTotal()

  Returns whether this header is a total header.

  Returns:
    whether this header is a total header

### createLevelSpanCopy

    public static HeaderCell createLevelSpanCopy(HeaderCell cell,
                                                 int newLevelSpan)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com